package com.tofly.xrtygis.custom.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.custom.entity.gs.KhInfo;
import com.tofly.xrtygis.custom.entity.gs.NoteSearch;
import com.tofly.xrtygis.entity.Qfkhjbxx;
import com.tofly.xrtygis.entity.Rxsmsmessage;

import java.util.List;
import java.util.Map;

/**
 * @author FlashWJL
 * @date 2021/4/6 13:05
 */
public interface SendNoteService {
    String sendNote(String phone, String content);

    String sendNoteTemplate(String clientId, String temp ,String tempId);
    //查询客户信息
    List<Qfkhjbxx> getKH(KhInfo khInfo);

    IPage<Rxsmsmessage> getNote(Page page , NoteSearch noteSearch);

    Map getNoteNum();

    String aginSendNote(NoteSearch noteSearch);
}
